<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

$output = '';

$atts = cl_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$list_id = 'cl_pricelist_' . uniqid();

?>

<div id="<?php echo esc_attr( $list_id ) ?>" class="cl-element cl_pricelist <?php echo esc_attr( $this->generateClasses('.cl_pricelist') ) ?>" <?php $this->generateStyle('.cl_pricelist', '', true) ?>>

	<div class="header panel">
		<span class="time"><?php echo cl_remove_wpautop( $time ) ?></span>
		<h4><?php echo cl_remove_wpautop( $title ) ?></h4>
	</div><!-- .header -->

	<div class="price panel">
		<div class="content">
			<sup class="currency"><?php echo cl_remove_wpautop( $currency ) ?></sup>
			<span class="integer-part"><?php echo cl_remove_wpautop( $price ) ?></span>
			
			<div class="divider"></div>
			
		</div>
	</div><!-- .price -->

	<ul class="list-wrapper">

		<?php echo cl_remove_wpautop($content); ?>

	</ul><!-- .list-wrapper -->

	<div class="footer panel">
		<a href="<?php echo esc_url( $link ) ?>" class="<?php echo codeless_button_classes(); ?> price-list-button"><span><?php echo cl_remove_empty_p( cl_remove_wpautop($btn_title, true) ) ?></span></a>
	</div><!-- .footer -->

</div><!-- .cl_pricelist -->