<?php 
    
    extract( $element['params'] ); 


    global $cl_from_element;
    $cl_from_element['search_type'] = $search_type;
    $cl_from_element['sidenav_button'] = $sidenav_button;
?>


<div class="extra_tools_wrapper <?php echo esc_attr( $this->generateClasses( '.extra_tools_wrapper' ) ) ?>">
    

    <?php if( ( int ) $search_button ): ?>
       
        <div class="search tool search-style-<?php echo esc_attr($search_type) ?>">

            <a href="#" id="header_search_btn" class="tool-link">
                <span class="img-search"></span>
                <span class="show-side-header"><?php esc_html_e('Search', 'creatic' ) ?></span>
            </a>

        </div><!-- .search.tool -->

    <?php endif; ?>

    <?php if( ( int ) $sidenav_button ): ?>
       
        <div class="sidenav tool">

            <a href="#" id="header_sidenav_btn" class="tool-link">
                <span class="img-sidenav"></span>
                <span class="show-side-header"><?php esc_html_e('Sidenav', 'creatic' ) ?></span>
            </a>
        </div>    

    <?php endif; ?>

    <div class="cl-mobile-menu-button cl-color-<?php echo esc_attr( codeless_get_mod('header_mobile_menu_hamburger_color', 'dark') ) ?>">
        <span></span>
        <span></span>
        <span></span>
    </div> 

</div>