<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$output = '';

$atts = cl_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$image = cl_atts_to_array($image);

?>

<div class="cl_media_box cl-element <?php echo esc_attr( $this->generateClasses('.cl_media_box') ); ?>" <?php $this->generateStyle('.cl_media_box', '', true); ?>>

	
	<?php $img_id = isset($image['id']) ? $image['id'] : 0; ?>

	<?php echo codeless_generate_image($img_id, $image_size ); ?>
	

	<div class="content">
		<h4 <?php $this->generateStyle('.cl_media_box h4', true) ?>><?php echo cl_remove_wpautop( $content, true ) ?></h4>

		
			<a href="<?php echo esc_url( $link ) ?>" target="<?php echo esc_attr( $target ) ?>">
				<?php if( $style == 'large' ): ?>
					<i class="cl-icon-chevron-double-right"></i>
				<?php endif; ?>
			</a>
		
	</div>
	
</div>