<?php

// Register Portfolio

$argsPortfolio = array(

	'post_type' => 'portfolio',

	'taxonomy' => 'portfolio_entries',

	'labels' => array( 

		'name' => _x('Portfolio Items', 'post type general name', 'creatic' ),

		'singular_name' => _x('Portfolio Entry', 'post type singular name', 'creatic' ),

		'add_new' => _x('Add New', 'portfolio', 'creatic' ),

		'add_new_item' => esc_html__('Add New Portfolio Entry', 'creatic' ),

		'edit_item' => esc_html__('Edit Portfolio Entry', 'creatic' ),

		'new_item' => esc_html__('New Portfolio Entry', 'creatic' ),

		'view_item' => esc_html__('View Portfolio Entry', 'creatic' ),

		'search_items' => esc_html__('Search Portfolio Entries', 'creatic' ),

		'not_found' =>  esc_html__('No Portfolio Entries found', 'creatic' ),

		'not_found_in_trash' => esc_html__('No Portfolio Entries found in Trash', 'creatic' ), 

		'parent_item_colon' => ''

	),

	'taxonomy_label' => esc_html__( 'Portfolio Categories', 'creatic' ),

	'slugRule' => codeless_get_mod( 'portfolio_slug', 'portfolio' ),

	'show_in_customizer' => true

);



codeless_register_post_type( $argsPortfolio );



// Register Staff

$argsStaff = array(

	'post_type' => 'staff',

	'taxonomy' => 'staff_entries',

	'labels' => array(

		'name' => _x('Team', 'post type general name', 'creatic' ),

		'singular_name' => _x('Staff Entry', 'post type singular name', 'creatic' ),

		'add_new' => _x('Add New', 'staff', 'creatic' ),

		'add_new_item' => esc_html__('Add New Staff Entry', 'creatic' ),

		'edit_item' => esc_html__('Edit Staff Entry', 'creatic' ),

		'new_item' => esc_html__('New Staff Entry', 'creatic' ),

		'view_item' => esc_html__('View Staff Entry', 'creatic' ),

		'search_items' => esc_html__('Search Staff Entries', 'creatic' ),

		'not_found' =>  esc_html__('No Staff Entries found', 'creatic' ),

		'not_found_in_trash' => esc_html__('No Staff Entries found in Trash', 'creatic' ), 

		'parent_item_colon' => ''
	),

	'taxonomy_label' => esc_html__( 'Staff Categories', 'creatic' ),

	'slugRule' => codeless_get_mod( 'staff_slug', 'staff' ),

	'show_in_customizer' => true

);


codeless_register_post_type( $argsStaff );



// Register Testimonial

$argsTestimonial = array(

	'post_type' => 'testimonial',

	'taxonomy' => 'testimonial_entries',

	'labels' => array(

		'name' => _x('Testimonials', 'post type general name', 'creatic' ),

		'singular_name' => _x('Testimonial Entry', 'post type singular name', 'creatic' ),

		'add_new' => _x('Add New', 'testimonial', 'creatic' ),

		'add_new_item' => esc_html__('Add New Testimonial Entry', 'creatic' ),

		'edit_item' => esc_html__('Edit Testimonial Entry', 'creatic' ),

		'new_item' => esc_html__('New Testimonial Entry', 'creatic' ),

		'view_item' => esc_html__('View Testimonial Entry', 'creatic' ),

		'search_items' => esc_html__('Search Testimonial Entries', 'creatic' ),

		'not_found' =>  esc_html__('No Testimonial Entries found', 'creatic' ),

		'not_found_in_trash' => esc_html__('No Testimonial Entries found in Trash', 'creatic' ), 

		'parent_item_colon' => ''

	),

	'taxonomy_label' => esc_html__( 'Testimonial Categories', 'creatic' ),

	'slugRule' => codeless_get_mod( 'testimonial_slug', 'testimonial' ),

	'show_in_customizer' => true


);


codeless_register_post_type( $argsTestimonial );



// Register Content Blocks

$argsContentBlocks = array(

	'post_type' => 'content_block',

	'taxonomy' => 'content_blocks',

	'labels' => array(

		'name' => _x('Content Blocks', 'post type general name', 'creatic' ),

		'singular_name' => _x('Content Block', 'post type singular name', 'creatic' ),

		'add_new' => _x('Add New', 'content_block', 'creatic' ),

		'add_new_item' => esc_html__('Add New Content Block', 'creatic' ),

		'edit_item' => esc_html__('Edit Content Block', 'creatic' ),

		'new_item' => esc_html__('New Content Block', 'creatic' ),

		'view_item' => esc_html__('View Content Block', 'creatic' ),

		'search_items' => esc_html__('Search Content Blocks', 'creatic' ),

		'not_found' =>  esc_html__('No Content Blocks found', 'creatic' ),

		'not_found_in_trash' => esc_html__('No Content Blocks found in Trash', 'creatic' ), 

		'parent_item_colon' => ''

	),

	'taxonomy_label' => esc_html__( 'Content Blocks Categories', 'creatic' ),

	'slugRule' => codeless_get_mod( 'content_block_slug', 'content_block' ),

	'show_in_customizer' => false


);


codeless_register_post_type( $argsContentBlocks );



// Register Careers

$argsCareers = array(

	'post_type' => 'career',

	'taxonomy' => 'career_entries',

	'labels' => array(

		'name' => _x('Careers', 'post type general name', 'creatic' ),

		'singular_name' => _x('Career Entry', 'post type singular name', 'creatic' ),

		'add_new' => _x('Add New', 'career', 'creatic' ),

		'add_new_item' => esc_html__('Add New Career Entry', 'creatic' ),

		'edit_item' => esc_html__('Edit Career Entry', 'creatic' ),

		'new_item' => esc_html__('New Career Entry', 'creatic' ),

		'view_item' => esc_html__('View Career Entry', 'creatic' ),

		'search_items' => esc_html__('Search Career Entries', 'creatic' ),

		'not_found' =>  esc_html__('No Career Entries found', 'creatic' ),

		'not_found_in_trash' => esc_html__('No Career Entries found in Trash', 'creatic' ), 

		'parent_item_colon' => ''

	),

	'taxonomy_label' => esc_html__( 'Career Categories', 'creatic' ),

	'slugRule' => codeless_get_mod( 'career_slug', 'career_items' ),

	'show_in_customizer' => true


);


codeless_register_post_type( $argsCareers );


?>